#include "BaseTab.hpp"
#include "AppendGameDialog.hpp"
#include <wx/filename.h>

BaseTab::BaseTab(wxFrame *parent, std::string base_file)
    : TabBase(parent), TabInfos(TabInfos::BASE){

  // Games tab
  games_tab=new BaseGameTab((wxFrame *)notebook,base_file);
  notebook->AddPage(games_tab, "Games list",true); // true for selecting the tab
  // Import tab
  import_tab=new BaseImportTab((wxFrame *)notebook);
  notebook->AddPage(import_tab, "Import games");
  // Manage tab
  manage_tab=new BaseManageTab((wxFrame *)notebook);
  notebook->AddPage(manage_tab, "Manage database");

  RefreshLabel();
}

void BaseTab::ApplyPreferences() {}

void BaseTab::RefreshLabel(){
  SetLabel("Database XX");
}